unit uconst;

{$ifdef CPUi386}
  {$ifdef CPUARM}
    {$mode objfpc}{$H+}
  {$endif}
{$endif}

interface

{$ifdef CPU64}
uses
  Classes, comctrls, Controls, Graphics, SysUtils,
  registry, dateutils;

Const

{*******************************************************************************
**                            Gennerelle Constanten                           **
**                                   Key                                      **
*******************************************************************************}
// cedfghijklmnopqrstuvwxyz
//      4         5        6
// 56789012345678901234567890
  GShortkey_ESC             	       = 27;
  GShortkey_Enter            	       = 13;

  GShortkey_Alt_Abbrechen    	       = 32833;                                                     // ALT+A
  GShortKey_Alt_Beenden      	       = 32836;                                                     // Alt+E
  GShortKey_Alt_Del          	       = 32844;                                                     // ALT+L
  GShortkey_Alt_OK           	       = 32847;                                                     // Alt+O
  GShortKey_Alt_Save         	       = 32851;                                                     // Alt+S
  
  {$ifdef Genre}
  QR_Genre_E			       = 69;			                                    // E
  QR_Genre_R			       = 82;			                                    // R
  {$endif}
  
  GShortKey_Back                       : Array [1..2] of Word = (32834, 32993);                     // ALT+B & ALT+< (OEM_0xE1)
  GShortKey_First                      : Word = 16609;                                              // STRG + < (OEM_0xE1)
  GShortkey_Help                       : array [1..2] of Word = (32840, 32988);                     // ALT+H & ALT+?
  GShortKey_Last                       : Word = 24801;                                              // STRG + > (OEM_0xE1)
  GShortkey_Next                       : array [1..2] of Word = (32846, 41185);                     // ALT+N & ALT+> (OEM_0xE1)

{  {$ifdef Gesundheit}
  GSConst                              : array [1..2] of String = ('(', 'mg)');
  {$endif}

  GPDirName                            = PathDelim + 'VeeJee' + PathDelim;
}
  {$ifdef RegUsed}
  HKEYUSER                             = HKEY_CURRENT_USER;
  SoftKey                              = 'Software';
//  ProgKey                              = SoftKey + PathDelim + 'Morbis Addison';
  ProgKey                              = SoftKey + PathDelim + 'Morbus Addison';
  MasterKey                            = ProgKey + PathDelim + 'Mastersettings';
  SetKey                               = ProgKey + PathDelim + 'Settings: ';
  UserKey                              = ProgKey + PathDelim + 'User: ';
  ListKey                              = ProgKey + PathDelim + 'UserListing';
  MediKey                              = UserKey + PathDelim + 'Medikamente';
  {$endif}

  {$ifdef Gesundheit}
  Prog_Caption                         = 'Morbus Addison';
  Prog_Name                            = 'Addison_Tagebuch'{$ifdef Windows} + '.exe'{$endif};
  Main_Caption                         =  Prog_Caption + ' - Tagebuch für ';
  Setings_Caption_01                   = 'Einstellungen ';
  User_Caption_01                      = 'Benutzereinstellungen laden';
  User_Caption_02                      = 'Benutzerdaten eintragen';
  User_Caption_03                      = 'Benutzerfarben festlegen';
  Befinden_Caption                     = 'Wie ist dein aktuelles Befinden?';
  HTC_min                              = 3;
  {$Endif}

  About_Caption                        = 'Über';
  Info_Caption                         = 'Info / Hilfe';

  {$ifdef Cloud_Dir}
    {$ifdef Windows}
    {$else ifdef (Unit}
    GDDir                              = 'GoogleDrive' + PathDelim;
    {$endif}
  DBDir                                = 'Dropbox' + PathDelim;
  {$endif}


{*******************************************************************************
**                            Gennerelle Constanten                           **
**                               Standart Button                              **
*******************************************************************************}

  G_Button                   : record
    Hint, Text               : array     [1..3] of String;
    W                        : array     [1..3] of Byte;
    end                      = (Hint:    ('ALT+O', 'ALT+B', 'ALT+H');
                                Text:    ('&Ok', 'A&bbrechen', '&Hilfe');
                                W:       ( 70,  80,  70));

  G_PG                       : record
    Align                    : TAlign;
    T_Pos                    : TTabPosition;
    end                      = (Align: (alClient);
                                T_Pos: (tpTop));

{$ifdef OBS_Tools}
  Tray_F_Set                 : record
    Text                     : String;
    H, L, T, W               : word;
    end                      = (Text:    ('Programminformationen');
                                H:       (240);
                                L:       (100);
                                T:       ( 20);
                                W:       (320));

  Tray_Button                : record
    L, T                     : array     [1..3] of word;
    end                      = (L:       ( 16, 112, 216);
                                T:       (170, 170, 170));

  Tray_CB                    : record
    L, T                     : word;
    Text                     : String;
    Checked                  : Boolean;
    end                      = (L:       ( 16);
                                T:       (200);
                                Text:    ('&Trayicon beim Start anzeigen');
                                Checked: (false));

  Tray_PMI                   : record
    Text                     : array     [1..2] of String;
    Checked                  : array     [1..2] of Boolean;
    end                      = (Text:    ('&Popupmenü immer zeigen', '&Übersicht anzeigen');
                                Checked: (false, false));

  Tray_MMI                   : array    [1..2] of String= ('&Einstellungen', ' ');



{$ifdef QR4OBS}
  TT4OBS_QR                  : record
    Text, Name               : array     [0..9] of String;
    end                      = (Text :   (// VamlykTan
                                          'https://www.paypal.com/donate/?hosted_button_id=JWHXZ5MATXQY6',
                                          'https://www.facebook.com/profile.php?id=100063754892757',
                                          'https://www.mixcloud.com/VamLykTan/',
                                          // Scareful and Twicht.tv
                                          'https://www.twitch.tv/scareful_tv',
                                          'https://www.twitch.tv/riderscafe',
                                          // VAs & GIGs
                                          //'https://www.facebook.com/events/1928520754176806',
                                          // Bandsupport
                                          'https://www.youtube.com/@aeongods',
                                          'https://www.youtube.com/@Metamorphonia',
                                          'https://www.youtube.com/channel/UCIf95feGC4ue8FdDwYPbM4g',
                                          'https://www.youtube.com/@bel_epoq',
                                          'https://www.youtube.com/@Band.gegentakt');
                                Name :   (' Donate ',
                                          ' VamLykTan @ Facebook ',
                                          ' VamLykTan @ Mixcloud ',

                                          ' Scareful_TV @ Twitch ',
                                          ' Rider''s Cafe Lübeck ',

                                          //' Baltic Twiliigth ',

                                          ' Aeon Gods @ Youtube ',
                                          ' Metamorphonia @ Youtube ',
                                          ' Torment of Tantalos @ Youtube ',
                                          ' Bel Epog @ Youtube ',
                                          ' Gegentakt @ Youtube '));
  TT4OBS_Video               : record
    Text, Name{, _File }     : array     [0..6] of String;
    end                      = (Text :   ('https://www.youtube.com/watch?v=DVKDSkOwPEI',
                                          'https://www.youtube.com/watch?v=VnJgrEN-Aw8',
                                          'https://www.youtube.com/watch?v=JgQl1XYepCk',
                                          'https://www.youtube.com/watch?v=at6Qynxe2zw',
                                          'https://www.youtube.com/watch?v=WGFBU9ApttI',
                                          'https://www.youtube.com/watch?v=OUW9ffzpLrk',
                                          '');
                                Name :   (' Der Goldene Handschuh',
                                          ' Oomph! - Augen Auf <- Fan Video @ Youtube',
                                          ' Bel Epog - Rain in July <- Fan Video @ Youtube',
                                          ' Heldmaschine - R <- Fan Video @ Youtube',
                                          ' Soko Friedhof - Totengräber <- Fan Video @ Youtube',
                                          ' FrontAngel - Und wir Tanzen <- Fan Video @ Youtube',
                                          ' FrontAngel - Computer Probleme <- Fan  Video @ Youtube'));
{$endif}

{$ifdef Cam}
  TCam_Action                : Record
    Caption                  : array [0..1] of String;
    end                      = (Caption: ('&Kamera öffnen', '&Aufnahme starten'));

  TCam_Control               : Record
    Caption                  : array [0..1] of String;
    end                      = (Caption: ('&Einstellung Speichern', '&Config schließen'));

{$endif}

{$if defined (VJ)}
  TrackFile                  = Array [0..1] of String = ('/run/user/1000/gvfs/smb-share:server=dj-rechner.local,share=musik/Mixxx/NOW-PLAYING/mixxx-now-playing-master/mixxx-now-playing.txt',
                                                         '/run/user/1000/gvfs/smb-share:server=192.168.188.6.local,share=musik/Mixxx/NOW-PLAYING/mixxx-now-playing-master/mixxx-now-playing.txt');
  VideoFile                  = '';
{$elseif defined (DJ)}
  TrackFile                  : Array [0..2] of String = ('/run/user/1000/gvfs/smb-share:server=dj-rechner.local,share=musik/Mixxx/NOW-PLAYING/mixxx-now-playing-master/mixxx-now-playing.txt',
                                                         '/run/user/1000/gvfs/smb-share:server=192.168.188.6.local,share=musik/Mixxx/NOW-PLAYING/mixxx-now-playing-master/mixxx-now-playing.txt',
                                                         '/run/user/1000/gvfs/smb-share:server=192.168.188.5.local,share=musik/Mixxx/NOW-PLAYING/mixxx-now-playing-master/mixxx-now-playing.txt');
  VideoFile                  = '';
{$elseif defined (Prog)}
  TrackFile                  = '/home/vamlyktan/mixxx-now-playing';
  VideoFile                  = '/home/vamlyktan/Videos/VamLykTan';
{$elseif defined (Run)}
  TrackFile                  = '/home/vamlyktan/mixxx-now-playing.txt';
  VideoFile                  = '/home/vamlyktan/Videos/VamLykTan';
{$endif}

{$endif}

{$endif}

const
  CR                                   = #$0d;
  LF                                   = #$0a;
  CRLF                                 = CR + LF;

{$ifdef CPUAVR}
  WakeUp                     = 36; // '$'
  Trans_Start                = 60; // '<'
  Trans_Sektor               = 35; // '#'
  Trans_End                  = 62; // '>'
  MSG_Start                  = '$<';
  Error_MSG                  = '#FF>';
  OK_MSG                     = '#00';

  {$if defined (ATMega328p)}
  CPL                        = 3;
  {$endif}
{$else}
  WakeUp                     = '$'; // '$'
  Trans_Start                = '<'; // '<'
  Trans_Sektor               = '#'; // '#'
  Trans_End                  = '>'; // '>'
{$endif}
  Steuer_Codes               : record
    L, C, D                  : char;
    end                      = (L:   ('L'); // 'L'
                                C:   ('C'); // 'C'
                                D:   ('D')); // 'D'

{$ifdef CPUAVR}
var
  RX_Buffer_Size             : byte;
  {$ifndef CPUAVR}
  MSG                        : shortstring;
  {$endif}
{$endif}


{{$ifdef CPUAVR}
{  WS2812                     : record
    Line, Port, Pin          : array[0..11] of uint8;
    end                      = (Line: ( 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12);
                               {$if defined (ATMega328p) or (ATMega88p)}
                                Port: ( 8, 8, 8, 8, 8, 8);
                               {$endif}
                                Pin:  ( 5, 4, 3, 2, 1, 0));}
{$endif} }


{$ifdef CPUARM}
const

{$endif}
implementation

end.
